> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipecorn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a List

> Updates a list in the system.



## OpenAPI

````yaml PUT /lists/{id}
openapi: 3.0.1
info:
  title: Pipecorn List API
  description: Pipecorn List API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.pipecorn.com/api/v2/
security:
  - defaultApiKey: []
paths:
  /lists/{id}:
    put:
      summary: Update a list
      description: Updates a list in the system.
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the list to update
          schema:
            type: string
            format: uuid
      requestBody:
        description: List object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewList'
      responses:
        '200':
          description: List updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: The ID of the updated list
                  linkedin_list_id:
                    type: integer
                    format: int64
                    description: The LinkedIn list ID
components:
  schemas:
    NewList:
      required:
        - name
        - companies
      type: object
      properties:
        name:
          description: The name of the list
          type: string
        webhook_url:
          description: URL to be notified when the list import is complete
          type: string
          format: uri
        companies:
          type: array
          items:
            type: object
            required:
              - name
            properties:
              name:
                description: The name of the company
                type: string
                example: Pipecorn
              country_code:
                description: >-
                  The country code where the company is located. Optional but
                  increases the chance of a match.
                type: string
                example: FR
              domain:
                description: >-
                  The company's domain address. Website URL can work as well.
                  Optional but increases the chance of a match.
                type: string
                example: pipecorn.com
              linkedin_url:
                description: >-
                  The company's LinkedIn profile URL (regular or Sales
                  Navigator). Adding it provides a 100% match.
                type: string
                format: uri
                example: https://www.linkedin.com/company/pipecorn
          example:
            - name: Pipecorn
              country_code: FR
              domain: pipecorn.com
              linkedin_url: https://www.linkedin.com/company/pipecorn
            - name: Google
              country_code: US
              domain: google.com
              linkedin_url: https://www.linkedin.com/company/google
  securitySchemes:
    defaultApiKey:
      type: apiKey
      in: header
      description: Your API key
      name: X-API-KEY

````